[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'strutils' (#rtl)

# RandomFrom

Choose a random string from an array of strings.

## Declaration

Source position: strutils.pp line 56

`function RandomFrom(`
`const AValues: array of string`
`):string; overload;`

## Arguments

`AValues` |  | Strings to choose from

## Function result

Random string picked from the array.

## Description

RandomFrom picks at random a valid index in the array AValues and returns the string at that position in the array.

## Errors

None.

## See also

AnsiMatchStr |  | Check whether a string occurs in an array of strings, observing case.
AnsiMatchText |  | Check whether a string occurs in an array of strings, disregarding case.

Documentation generated on: Feb 26 2014